Skip to main content
GET
Get all versions of a component

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string<uuid>
required

UUID of the component

Query Parameters

versionId
string

Optional version ID to filter or focus on a specific version

Response

Component versions retrieved successfully

versionId
string

The version ID (runId) of the component.

createdAt
string<date-time>

The timestamp when the component version was created.

isLatestVersion
boolean

Indicates if this version is the latest version of the component.

data_store_schema_available
boolean

For data store components, indicates whether this version has an exact event-scoped schema snapshot available.

job_trigger
string

Type of the event that triggered this version.

event_repo
string

Name of the repository from the event that triggered this version.

repo_commit
string

The commit SHA that triggered the version.

repo_commit_timestamp
string

The timestamp of the commit.

repo_branch
string

The branch the scan that produced this version ran on.

job_status
enum<string>

Status of the job that created this version.

Available options:
pending,
processing,
success,
error
job_id
string

ID of the job that created this version.

dependencies
object[]

List of version-specific dependencies for this component version.

docker_image_version
string

Gable Docker image version used to produce this component version.

gable_cli_version
string

Gable CLI version used to produce this component version.

sca_prime_version
string

SCA engine version used to produce this component version.

sca_config_version
string

SCA configuration version used to produce this component version.

collection_mechanism
enum<string>

Collection mechanism used to produce this component version.

Available options:
SCA,
BYOL